Bug 48767 - [Qt] QtTestBrowser : set mmp rule pageddata in Symbian
Summary: [Qt] QtTestBrowser : set mmp rule pageddata in Symbian
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: S60 Hardware S60 3rd edition
: P2 Normal
Assignee: George Guo
URL:
Keywords:
Depends on:
Blocks: 47918
  Show dependency treegraph
 
Reported: 2010-11-01 11:00 PDT by Dinu Jacob
Modified: 2010-11-08 08:40 PST (History)
4 users (show)

See Also:


Attachments
adding paged memory will resolve this issue (998 bytes, patch)
2010-11-02 07:23 PDT, George Guo
akling: review-
Details | Formatted Diff | Diff
Added why to the patch in addtion to what as reviewer suggested (1.13 KB, patch)
2010-11-02 14:58 PDT, George Guo
akling: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Not sure why last patch failed in commit. Remake a patch (1.13 KB, patch)
2010-11-03 05:32 PDT, George Guo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dinu Jacob 2010-11-01 11:00:22 PDT
QtTestBrowser runs out of memory with most of javascript benchmarks (for example, Dromaeo ). On Symbian it improves memory consumption when   pageddata is enabled.
Comment 1 George Guo 2010-11-01 11:26:29 PDT
agreed with Dinu to fix this.
Comment 2 George Guo 2010-11-02 07:23:14 PDT
Created attachment 72663 [details]
adding paged memory will resolve this issue
Comment 3 Andreas Kling 2010-11-02 08:29:16 PDT
Comment on attachment 72663 [details]
adding paged memory will resolve this issue

View in context: https://bugs.webkit.org/attachment.cgi?id=72663&action=review

> WebKitTools/ChangeLog:5
> +        [Qt] QtTestBrowser : set mmp rule pageddata in Symbian

This ChangeLog entry only covers the "What?" - we also need the "Why?"
Why is this change needed?
Comment 4 George Guo 2010-11-02 14:36:23 PDT
Paing is needed on Symbian devices to support benchmarks test like dromaeo.com and Celtic Kane that need a lot of memory to run.
Comment 5 George Guo 2010-11-02 14:58:21 PDT
Created attachment 72744 [details]
Added why to the patch in addtion to what as reviewer suggested

Made changes to answer why as reviewer suggested.
Comment 6 Andreas Kling 2010-11-03 01:19:49 PDT
Comment on attachment 72744 [details]
Added why to the patch in addtion to what as reviewer suggested

LGTM
Comment 7 WebKit Commit Bot 2010-11-03 01:22:23 PDT
Comment on attachment 72744 [details]
Added why to the patch in addtion to what as reviewer suggested

Rejecting patch 72744 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', 'apply-attachment', '--force-clean', '--non-interactive', 72744]" exit_code: 2
Last 500 characters of output:
rom bug 48767.
Failed to run "[u'/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Andreas Kling', u'--force']" exit_code: 2
Parsed 2 diffs from patch file(s).
patching file WebKitTools/ChangeLog
patch: **** malformed patch at line 18:  2010-11-01  Jenn Braithwaite  <jennb@chromium.org>

patching file WebKitTools/QtTestBrowser/QtTestBrowser.pro

Failed to run "[u'/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Andreas Kling', u'--force']" exit_code: 2

Full output: http://queues.webkit.org/results/5036015
Comment 8 George Guo 2010-11-03 04:46:04 PDT
Thanks for the patience, i'm fixing the format and preparing the patch
Comment 9 George Guo 2010-11-03 05:32:58 PDT
Created attachment 72814 [details]
Not sure why last patch failed in commit. Remake a patch
Comment 10 Andreas Kling 2010-11-03 05:39:53 PDT
Comment on attachment 72814 [details]
Not sure why last patch failed in commit. Remake a patch

Let's try again. In the future, please tick the "patch" checkbox when uploading patches :)
Comment 11 Suresh Voruganti 2010-11-03 05:49:47 PDT
This patch is required for Qtwebkit 2.1 for increasing Browser stability, so adding dependency to 39121.
Comment 12 WebKit Commit Bot 2010-11-03 20:40:22 PDT
Comment on attachment 72814 [details]
Not sure why last patch failed in commit. Remake a patch

Clearing flags on attachment: 72814

Committed r71302: <http://trac.webkit.org/changeset/71302>
Comment 13 WebKit Commit Bot 2010-11-03 20:40:28 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Ademar Reis 2010-11-04 09:20:21 PDT
Revision r71302 cherry-picked into qtwebkit-2.1 with commit 68f99d0 <http://gitorious.org/webkit/qtwebkit/commit/68f99d0>